Subject: [bug#46440] [PATCH core-updates] gnu: findutils-boot0: Enable tests on arm.

From: Efraim Flashner <[email-masked]>
Date: Sun, 14 Feb 2021 14:27:44 +0200

On Thu, Feb 11, 2021 at 07:38:16PM +0000, Pierre Langlois wrote:
> Hello Guix!
> 
> I noticed the recent rust changes on core-updates, so I was eager to try
> and get rust working on aarch64 again, but I noticed I couldn't
> bootstrap because the pthread tests from findutils-boot0 were failing.
> 
> I was just about to send a patch for that and then saw we had disabled
> the tests all together. So, here's an updated patch that re-enables them
> again, but disable only pthread tests.
> 
> Let me know what you think of this patch, I've tested it on aarch64 and
> currently building rust 1.29, but I wasn't able to test it on x86, I'm
> getting the following failure:
> 
> --8<---------------cut here---------------start------------->8---
> starting phase `compress-documentation'                                                                                                                        
> compressing documentation in '/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man' with "gzip" and flags ("--best" "--no-name")
> sterror: unknown error: /gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/find.1    
> sterror: unknown error: /gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/locate.1   
> sterror: unknown error: /gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/updatedb.1 
> sterror: unknown error: /gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/xargs.1           
> sterror: unknown error: /gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man5/locatedb.5
> error: in phase 'compress-documentation': uncaught exception:
> srfi-34 #<condition &invoke-error [program: "gzip" arguments: ("--best" "--no-name" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/find.1" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/locate.1" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/updatedb.1" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/xargs.1" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man5/locatedb.5") exit-status: 1 term-signal: #f stop-signal: #f] 1222080> 
> phase `compress-documentation' failed after 0.0 seconds
> command "gzip" "--best" "--no-name" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/find.1" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/locate.1" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/updatedb.1" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man1/xargs.1" "/gnu/store/fl4xmk5pln6lw81ixjk3w24hhdn1zi26-findutils-boot0-4.8.0/share/man/man5/locatedb.5" failed with status 1                       
> builder for `/gnu/store/g64zjdljpk4wawimf44v7ysgf23ywg30-findutils-boot0-4.8.0.drv' failed with exit code 1
> build of /gnu/store/g64zjdljpk4wawimf44v7ysgf23ywg30-findutils-boot0-4.8.0.drv failed
> View build log at '/var/log/guix/drvs/g6/4zjdljpk4wawimf44v7ysgf23ywg30-findutils-boot0-4.8.0.drv.bz2'.
> --8<---------------cut here---------------end--------------->8---
> 
> I'm a bit confused what's going on, anybody has a clue?
> 
> By the way, I'm glad we no longer have to pass all the tests for every
> stage of the rust bootstrap, getting this working on different platform
> was quite tedious :-).
> 
> Thanks,
> Pierre

I had planned on re-enabling the tests with the next release of
findutils. I built out to findutils on aarch64 and armhf and they both
passed their test suites without any problems so I figured it was safe
enough to skip them for now. If you can skip just the pthread test(s)
that be better probably.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted